mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Enum)

The C++ compiler applies the attribute to native enumeration types to indicate that they do not need to be qualified by the enumeration type name when referenced in C++ programs. This attribute distinguishes native enumeration types from managed enumeration types.

Indicates that a native enumeration is not qualified by the enumeration type name. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.